@echo off
Rem Find all files in the given directory with the given keyword (first arg).
Rem Then perform a global replacement on each file.
Rem E.g. allrepl d:\html\wxwin wxwin/2.0alpha wxwin\/2.0alpha wxwin\/2.0b2
Rem Arg 1 is the directory to search.
Rem Arg 2 is the keyword to search for (just to find the files).
Rem Arg 3 is the keyword to replace (in sed format)
Rem Arg 4 is the replacement string (in sed format)

set dir=%1
set keyword1=%2
set keyword2=%3
set repl=%4

Rem ffind is a DOS command.
Rem Find all the files that need to have strings replaced.
ffind /B /T"%keyword1" %dir\*.* > files.tmp

call filerepl.bat %keyword2 %repl files.tmp
erase files.tmp

:end
