#include <wx/version.h>
#include <wxsite.h>

<HTML>
<HEAD>
<TITLE>wxWidgets Front Page</TITLE>

<!-- Simpler keywords suggested by David E. Konerding -->
<META HTTP-EQUIV="Keywords" CONTENT="wx,wxWidgets,wxWindows,GUI,cross platform,toolkit" NAME="Keywords">

<!--
<META HTTP-EQUIV="Keywords" CONTENT="C++,Python,Basic,GUI,cross-platform,multiplatform,PIGUI,application,framework,toolkit,class library,forms,Windows,WIN32,W2K,XP,ME,Linux,Solaris,HPUX,Unix,Mac,MacOS,embedded,X11,Motif,Lesstif,GTK,iPAQ,porting,portable,migrate,migration,open source,free,desktop,TCO,MFC,VC++,Borland,MinGW,gcc,RAD,dialog,online help,wizard,image,tutorial" NAME="Keywords">
-->

<META name="description" content="wxWidgets is a mature open-source cross-platform C++ GUI framework for Windows, Unix, Linux, MacOS. It can make use of a variety of native widget sets as well as its own widget set: WIN32, GTK+, Motif, MacOS. wxWidgets will even run on embedded systems using Linux and X11.">
</HEAD>

<BODY LEFTMARGIN=5 TOPMARGIN=5 BGCOLOR="#FFFFFF" TEXT="#000000" VLINK="#00376A" LINK="#00529C" ALINK="#313063">

<FONT FACE="Arial, Lucida Sans, Helvetica">


<table cellpadding=2>
<tr>

<td valign=top>
<font FACE="Arial, Lucida Sans, Helvetica" size=2>

<table cellpadding=3 border=0 width="100%">
<tr>
<td bgcolor="#004080" height=24 background="images/bluetitlegradient.gif" valign=center>
<img src="images/minilogo01.gif" align=left border=0 vspace=0 hspace=0 valign=center>
<FONT SIZE=+1 color="#FFFFFF"><b>Welcome to wxWidgets</b></FONT>
</td>
</tr>
</table>

#if 0
<img src="images/blocks2.gif" alt="wxWidgets - building blocks for programmers" align=left hspace=20>
#endif

<P>
<table hspace=5 vspace=5 align=right width=250 border=1 cellspacing=0 cellpadding=5>
<tr>
<td>
<font size=1>
Applications using wxWidgets include
<a href="http://www.aolepk.com/communicator/index.html" target=_new>AOL Communicator</a>,
<a href="http://audacity.sourceforge.net/" target=_new>Audacity</a>,
<a href="http://www.grisoft.com/" target=_new>AVG AntiVirus</a>,
<a href="http://www.cadtomill.com/" target=_new>CADToMill</a>,
<a href="http://www.osafoundation.org/" target=_new>Chandler</a>,
<a href="http://www.chesscommander.com/" target=_new>Chess Commander</a>,
<a href="http://www.ctsim.org/" target=_new>CTSim</a>,
<a href="http://www.scitechsoft.com/products/enterprise/sdd_home.html" target=_new>Display Doctor</a>,
<a href="http://www.dgi.com/" target=_new>EarthVision</a>,
<a href="http://www.forteinc.com/agent/index.php" target=_new>Forte Agent</a>,
<a href="http://www.anthemion.co.uk/helpblocks" target=_new>HelpBlocks</a>,
<a href="http://www.imagelinks.com/" target=_new>ImageLinks</a>,
<a href="http://www.kirix.com/" target=_new>Kirix Strata</a>,
<a href="http://www.intuitiveworks.com/" target=_new>Intuitive MX</a>,
<a href="http://ipodder.sourceforge.net/" target=_new>iPodder</a>,
<a href="http://ldaptool.sourceforge.net/" target=_new>LDAP Explorer</a>,
<a href="http://sharedaemon.sourceforge.net/" target=_new>ShareDaemon</a>,
<a href="http://mahogany.sourceforge.net/" target=_new>Mahogany</a>,
<a href="http://www.parinyasoft.com/" target=_new>MinGW Developer Studio</a>,
<a href="http://www.pandromeda.com/page/products/" target=_new>MojoWorld</a>,
<a href="http://musik.sourceforge.net/" target=_new>Musik</a>,
<a href="http://www.storylinescentral.com" target=_new>StoryLines</a>,
<a href="http://terraim.sourceforge.net/" target=_new>TerraIM</a>,
<a href="http://www.tortoisecvs.org" target=_new>TortoiseCVS</a>,
<a href="http://www.griessersoftware.com/vietanhw/index.htm" target=_new>VietAnh</a>,
<a href="http://www.everygraph.com/voxel3d" target=_new>Voxel 3D</a>,
<a href="http://www.vulcan3d.com/" target=_new>Vulcan</a>,
<a href="http://homepage.mac.com/codonnell/wxblogger/" target=_new>wxBlogger</a>,
<a href="http://xchm.sourceforge.net/" target=_new>xCHM</a>,
<a href="http://www.zeemo.com/" target=_new>Zeemo</a>,
<a href="http://www.zempt.com/" target=_new>Zempt</a> ...<br>
more <a href="apps2.htm">apps</a>/<a href="users.htm">users</a>

</font>
</td>
</tr>
</table>

An open source C++ GUI framework to make cross-platform programming child&#39;s play. Well, almost.<P>

This site is intended to help you get the most out of wxWidgets, a product that
has been used by companies, academics and government organisations <a href="users.htm">around
the world</a> since 1992. Read what it&#39;s all <a href="about.htm">about</a>,
and what <a href="feedback.htm">people are saying about it</a>. You can download
<a href="binaries.htm">demos</a> for major platforms.

<p>
#if 0
<b>Our <a href="palmos.htm">wxPalmOS porting challenge</a> has been won by
William Osborne, on 2004-10-14. Congratulations William!</b>
<p>
#endif

Making a case for wxWidgets in your organisation? Check out our <a href="offer.htm">offer</a>
to help support your position. You can also download and print out PDF <a href="docs.htm#datasheets">datasheets</a>
giving overviews of wxWidgets.
<p>

You can now buy the <a href="book/index.htm">wxWidgets book</a> in stores or online.
<p>

<b>
Please note that the deadline for students to apply for projects under the Google Summer of Code
initiative is 8th May.</b>
Sign up at <a href="http://code.google.com/soc" target=_top>code.google.com/soc</a>;
the list of project suggestions is at <a href="http://www.wxwidgets.org/wiki/index.php/Development:_Student_Projects" target=_top>www.wxwidgets.org/wiki/index.php/Development:_Student_Projects</a>.

<br clear=all>
<p>

<table border=0 cellpadding=5>
<tr>
<td bgcolor="#C8D4E0">
<FONT FACE="Arial, Lucida Sans, Helvetica" color="#000000">
<font size=2>
<H3>Cross-platform GUI programming in C++</H3>
wxWidgets gives you a single, easy-to-use API for writing GUI applications
on multiple platforms. Link with the appropriate library for your platform (Windows/Unix/Mac,
others coming shortly)
and compiler (almost any popular C++ compiler), and your application will adopt the look
and feel appropriate to that platform. On top of great GUI functionality, wxWidgets gives you: online help, network programming, streams, clipboard and drag and drop, multithreading,
image loading and saving in a variety of popular formats, database support, HTML viewing and printing,
and much much more.<P>

<center>
<font size=1>"Excellent, stable and intuitive API. Very straightforward to learn and easy to port Java, X11 and Win32 code to."<br>
"Thanks heaps for the best piece of software I&#39;ve ever come across."<br>
"wxWidgets 2 has been an absolute dream."<br>
"I've never had an easier porting experience."<br>
"I never thought that cross-platform development could be so easy and simply cool."<br>
"I have used wxWidgets in the past very successfully on multiple projects, and think it's the bee's knees. Thanks for everything!"<br>
"wxWidgets is jaw dropping amazing. Community support from the mailing list is extraordinary. Are you sure this is free?"<br>
"wxWidgets is one of the most magnificent development projects in existence.."<br>
</font>
</center>
<P>
<B>wxWidgets is going embedded!</B> <a href="embedded.htm">Read more...</a>
</font>
</font>
</td>
</tr>
</table>
<P>

<font size=2>

<b>May 4th, 2006</b>: We are pleased to announce that wxWidgets is a mentoring organization for the Google Summer of Code initiative.
If you are a student with some free time this summer, then you can be one of many who will
be selected to work for 4500 USD on open source projects. Find out more about Google
Summer of Code, and sign up, at <a href="http://code.google.com/soc" target=_top>code.google.com/soc</a>.
The list of project suggestions is at <a href="http://www.wxwidgets.org/wiki/index.php/Development:_Student_Projects" target=_top>www.wxwidgets.org/wiki/index.php/Development:_Student_Projects</a>.
Happy coding!
<p>

<b>April 2nd, 2006</b>: A new version of <a href="http://sourceforge.net/projects/lbdmf">lbDMF</a> (0.7.0) with a
great wxWidgets based GUI sample application
has been released. The new version includes improvements such as GUI  
state storage to file, a new property editor and layout capabilities  
and more. The sample can be used to rapidly develop database applications
without writing a line of code.<p>

<b>March 25th, 2006</b>: The book <i>wxPython in Action</i> is now officially available for sale.
The book is currently only available at <a href="http://www.manning.com/books/rappin" target=_new>Manning's website</a> but will slowly become
available through retail stores over the next few weeks.
Anyone in a hurry can order it at the publisher's website and get a free e-book
with the print edition (the e-book is not sold anywhere else).
<p>

<b>March 25th, 2006</b>: wxWidgets 2.6.3 has been released: please see the <a href="downld2.htm">download page</a> for
details. This is a bug fix release. Notable improvements include Mac universal binary
creation with the command-line tools, Windows Mobile 5.0 support, context menu and
enhanced file selector support on Windows CE, AMD 64-bit compilation on Windows,
better VC++ 2005 support, and more efficient paint handling on wxGTK.
<p>

<b>March 19th, 2006</b>: wxWidgets 2.6.3 Release Candidate 2 is available in a tarball and zip file <a href="downld2.htm">here</a>.
<p>

<b>March 18th, 2006</b>: The source for <a href="http://www.xaralx.org" target=_top>Xara LX</a>, the vector graphics application being ported to wxWidgets, has
been released under the GPL. You can download a pre-built downloadable version of Xara LX 0.3,
and there are now <a href="http://www.xaralx.org/developers/documentation/what_can_xara_lx_do_now.html" target=_top>many working drawing tools and features</a> - you can
draw shapes, color them and use the fill, transparency, blend, shape editing and other tools.
<p>

<b>March 10th, 2006</b>: The <a href="book/index.htm">wxWidgets book</a> is now available as a PDF from <a href="http://www.phptr.com/content/images/0131473816/downloads/0131473816_book.pdf" target=_top>here</a>,
at the <a href="http://www.phptr.com/promotions/promotion.asp?promo=1484&redir=1&rl=1">Bruce Perens' Open Source Series</a> page.
<P>

<b>March 5th, 2006</b>: BitWise IM Version 1.7.1 is available from <a href="http://www.bitwiseim.com" target=_new>www.bitwise.com</a>
for Windows, Mac OS X and Linux. Showcasing wxWidgets' support for Intel-based Macs,
the Mac OS X version is now a Universal Binary! BitWise is an encrypted cross-platform
instant messenger featuring text messaging, whiteboards, file sharing, voice chat, encryption
and more. Personal and Professional versions are available, the latter providing a completely
private IM network with administrative rights.
<p>

<b>February 13th, 2006</b>: wxWidgets 2.6.3 Release Candidate 1 is available in a tarball and zip file <a href="downld2.htm">here</a>, so we can get feedback before the official
release in a week or so. Please do test it and let us know if you find any serious problems.
<p>

<b>January 19th, 2006</b>: wxWidgets is having a Bug Day, a concerted effort to fix bugs and
clean up the trackers, to reduce the tally of 945 open bugs.
It will take place Saturday 21st January
between 9:00AM EST (14:00 GMT) and 9:00PM EST (02:00 GMT), but also
beyond that if there is interest. For more information, see <a href="http://article.gmane.org/gmane.comp.lib.wxwidgets.devel/69321" target=_top>here</a>.
Please join in if you can!
<p>


<b>January 10th, 2006</b>: Kirix Corporation is pleased to announce the availability of wxAUI 0.9.1 for download. wxAUI is an Advanced User Interface library
that aims to implement "cutting-edge" interface usability and design features so developers can quickly and easily create beautiful
and usable application interfaces. The centerpiece of the library is a docking manager which allows windows to be floated/docked onto
a frame. Please <a href="http://www.kirix.com/en/community/opensource/wxaui/about_wxaui.html" target=_top>click here</a> for more information.
<p>

<b>January 5th, 2006</b>: Koan Software is happy to announce the new license release of
wxIndustrialControls. wxIndustrialControls, also known as KWIC cross platform library,
provides a set of graphical widgets for showing digital and analogic values.
Starting from January 2006 the source code becomes freely available under KWIC license (a modified LGPL).
The project is available <a href="http://www.koansoftware.com/kwic/index.htm" target=_new>here</a>.
Contributors and developers are welcome, as are patches and improvements.
<p>

<b>December 23rd, 2005</b>: <a href="http://www.litwindow.com/wxvisualsetup?gad=CMm3n5oBEgiR62OOVECZRBjO6qv_AyDVnoEI" target=_top>
wxVisualSetup for Microsoft Visual Studio 2005</a>
has been released. wxVisualSetup by Lit Window Productions integrates the wxWidgets library into Microsofts Visual Studio IDE.
The project wizard creates ANSI or Unicode projects with static or DLL wxWidgets libraries. A script for the "Inno Setup" package creates installer for your program. 
wxVisualSetup also makes the wxWidgets documentation available in the Visual Studio Online Help. 
wxVisualStudio 2005 works with all versions of Microsoft Visual Studio 2005, including the Express versions.
It is also available for Visual Studio 2002 and 2003. Please <a href="http://www.litwindow.com/wxvisualsetup?gad=CMm3n5oBEgiR62OOVECZRBjO6qv_AyDVnoEI" target=_top>click here</a> for more information.
<p>

<b>December 20th, 2005</b>: <a href="http://downloads.osafoundation.org/chandler/releases/0.6/" target=_new>Chandler 0.6</a> has been released.
Chandler is a personal information management from the Open Source Applications Foundation, using wxPython.
<p>

<b>November 21st, 2005</b>: Dataton have won the Projection Product of the Year award at
the entertainment technology trade show, ETS-LDI, with a wxWidgets-based application.
<a href="http://www.dataton.com/watchout" target=_new>Dataton WATCHOUT</a> is multi-display production and presentation system, managing
graphics, images, video, audio on a wide variety of display devices. A screenshot is available <a href="screensh.htm#watchout">here</a>.
<p>

<b>November 20th, 2005</b>: Robert Roebling has updated his information on the
port of wxWidgets to GPE, a PDA environment based on GTK+. Read and
see more <a href="http://www.roebling.de/embedded.html" target=_new>here</a>.
<p>

<b>October 13th, 2005</b>: Xara X has <a href="http://www.xaraxtreme.org/" target=_new>announced</a> that they
are making their <a href="http://www.xaraxtreme.org/" target=_new>Xara X</a>
vector and bitmap package open source. They are using wxWidgets to maintain Windows,
Linux and MacOS X versions.
<p>

<a href="news.htm"><b>Read more news...</b></a>
<P>

</font>

<table width="100%">
<tr>
<td valign=center>
<center>

<table>
<tr>

<td valign=center>

<!-- BEGIN TRACKER CODE -->
<a target="_top" href="http://v.extreme-dm.com/?login=zeitlin">
<img vspace=4 name=im src="http://v1.extreme-dm.com/i.gif" height=38
border=0 width=41 alt=""></a><script language="javascript"><!--
an=navigator.appName;d=document;function
pr(){d.write("<img src=\"http://v0.extreme-dm.com",
"/0.gif?tag=zeitlin&j=y&srw="+srw+"&srb="+srb+"&",
"rs="+r+"&l="+escape(d.referrer)+"\" height=1 ",
"width=1>");}srb="na";srw="na";&47;&47;-->
</script><script language="javascript1.2"><!--
s=screen;srw=s.width;an!="Netscape"?
srb=s.colorDepth:srb=s.pixelDepth;&47;&47;-->
</script><script language="javascript"><!--
r=41;d.images?r=d.im.width:z=0;pr();&47;&47;-->
</script><noscript><img height=1 width=1 alt=""
src="http://v0.extreme-dm.com/0.gif?tag=zeitlin&j=n"></noscript>
<!-- END TRACKER CODE -->
</td>
</tr>
</table>

</center>

</td>
</table>




</font>
</td>

<td width=210 valign=top>

<table width="100%" cellpadding=4 cellspacing=4>
<tr>
<td bgcolor="#C8D4E0" valign=top>
<font size=2 FACE="Arial, Lucida Sans, Helvetica">

Thinking about using wxWidgets? Try these links:<P>

<font size=1>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="intro.htm" STYLE="text-decoration:none;">Introduction</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="screensh.htm" STYLE="text-decoration:none;">Screen shots</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="binaries.htm" STYLE="text-decoration:none;">Demos</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="whychoos.htm" STYLE="text-decoration:none;">Why choose wxWidgets?</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="whouses.htm" STYLE="text-decoration:none;">Who uses wxWidgets?</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="users.htm" STYLE="text-decoration:none;">Satisfied users</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="feedback.htm" STYLE="text-decoration:none;">Feedback</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="news.htm" STYLE="text-decoration:none;">News</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="reviews2.htm" STYLE="text-decoration:none;">Reviews and Articles</a><BR>
#if 1 // CDROM
<img width=8 height=10 src="images/bulletf2.gif"> <a href="faq.htm" STYLE="text-decoration:none;">wxWidgets FAQs</a><BR>
#else
<a href="http://wxwidgets.org/fom-serve/cache/1.html" STYLE="text-decoration:none;">- wxWidgets FAQs</a><BR>
#endif
#if 0
<img width=8 height=10 src="images/bulletf2.gif"> <a href="feature2.htm" STYLE="text-decoration:none;">wxWidgets Features</a><BR>
#endif
/*
<img width=8 height=10 src="images/bulletf2.gif"> <a href="classes2.htm" STYLE="text-decoration:none;">wxWidgets classes at a glance</a><BR>
*/
<img width=8 height=10 src="images/bulletf2.gif"> <a href="supported.htm" STYLE="text-decoration:none;">Classes supported by each port</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="embedded.htm" STYLE="text-decoration:none;">wxEmbedded</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="hello.htm" STYLE="text-decoration:none;">&#39;Hello world&#39; in wxWidgets</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="docs.htm" STYLE="text-decoration:none;">Documentation</a><BR>
<!--
<img width=8 height=10 src="images/bulletf2.gif"> <a href="getstart.htm" STYLE="text-decoration:none;">Getting started with wxWidgets</a><BR>
-->
/*
<img width=8 height=10 src="images/bulletf2.gif"> <a href="news.htm" STYLE="text-decoration:none;">News</a><BR>
*/
</font>

</td>
</tr>

<tr>
<td bgcolor="#C8D4E0" valign=top>

<center>
<font size=2>
<B>Articles</B>
</FONT>
</center>
<BR>

<font size=1>

<img width=8 height=10 src="images/bulletf2.gif"> <a href="newlicen.htm" STYLE="text-decoration:none;">The wxWidgets licence</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="technote/tn0008.htm" STYLE="text-decoration:none;">How to learn wxWidgets</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="technote/dlgbased.htm" STYLE="text-decoration:none;">Writing dialog-based apps </a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="linux.htm" STYLE="text-decoration:none;">wxWidgets and Linux </a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="help.htm" STYLE="text-decoration:none;">Implementing on-line help</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="technote/install.htm" STYLE="text-decoration:none;">Writing installers</a><BR>
<img width=8 height=10 src="images/bulletf2.gif"> <a href="opengl.htm" STYLE="text-decoration:none;">Using OpenGL with wxWidgets</a><BR>
#if 0
<img width=8 height=10 src="images/bulletf2.gif"> <a href="gnuwin32.htm" STYLE="text-decoration:none;">Cygwin/Mingw32 and wxWidgets</a><BR>
#endif
<img width=8 height=10 src="images/bulletf2.gif"> <a href="technote/crosscmp.htm" STYLE="text-decoration:none;">Compiling Windows apps on Linux!</a>

<P align=right><a href="technote.htm"><i>More articles...</i></a></P>
</font>

</td>
</tr>

<tr>
<td /* bgcolor="#C8D4E0" */ valign=top>
<center>

/*
<iframe src="http://rcm-uk.amazon.co.uk/e/cm?t=wxwidgets-21&o=2&p=8&l=as1&asins=0131473816&fc1=000000&=1&lc1=0000ff&bc1=000000&lt1=_blank&IS2=1&f=ifr&bg1=ffffff" width="120" height="240" scrolling="no" marginwidth="0" marginheight="0" frameborder="0">
</iframe>
<P>
*/

<B>CVS, lists hosted by</B><br>
<a href="http://sunsite.dk" target=_new><img alt="CVS and mailing lists hosted by SunSITE, Denmark" src="http://sunsite.dk/images/hostedby.png" border=0></a>
<P>

<B>Other hosting by</B><br>
<A href="http://sourceforge.net/projects/wxwindows" target=_top> <IMG src="http://sourceforge.net/sflogo.php?group_id=9863" width="88" height="31" vspace="5" border="0" align=center alt="SourceForge Logo"></A>
<P>

<B>Sponsored by</B><br>
<a href="http://www.vmware.com" target=_top><img src="images/vmware_sm.gif" border=0></a><BR>
<B>One computer, multiple worlds.</B><br>
<font size=-2>A big thank-you to VMware for supplying
VMware licences to wxWidgets developers. See the <a href="samples.htm">screenshot</a>
of poEdit running on Windows and Linux simultaneously.</font>
<P>

<B>Sponsored by</B><br>
<a href="http://www.helpware.net/mshelp2/h2reg.htm" target=_top>H2Reg</a> MS HTML/Visual
Studio integration

<P>
<a href="http://www.opensource.org/docs/definition.php" target=_new><img src="http://www.opensource.org/trademarks/opensource/web/opensource-75x65.gif" alt="wxWidgets is Certified Open Source Software" border="0" width="75" height="65"></a>
<BR>

<font size=-2>OSI Certified Open Source Software</font>

<P>
<a href="http://www.helpblocks.com" target=_new><img src="images/banners/helpblocks01.gif" alt="Try using HelpBlocks" border=0></a>

</center>

</td>
</tr>

<tr>
<td valign=top>

<center>

<P>

</center>
</td>
</tr>
</table>


</font>
</td>

</tr>
</table>

<BR CLEAR=ALL>

<center>
<font size=-2>
<i>
This site (c) <a href="mailto:julian@anthemion.co.uk" target=_top>Julian Smart</a>, <a href="http://www.anthemion.co.uk/" target=_top>Anthemion Software</a>, 2004 | <a href="credits.htm">Credits</a>
</i>
</font>
</center>

</FONT>

</body>
</html>


