@echo off
Rem Make sources.unx: the Unix include file for makefile.unx which
Rem lists the dependencies between .htm and .in files.
Rem
Rem The first argument is the root directory to search.
Rem The second argument is the output directory.
Rem The remaining arguments comprise the list of directories to search.

echo SOURCES=\ > sources.unx
set INPUTDIR=%1
set OUTPUTDIR=%2
shift 2
set mycmdline=%1$
echo %mycmdline

do j = 1 to %# by 1
  set k=%@EVAL[%j-1]
  set word=%@WORD[" ", %k, %mycmdline]
  set SUBDIR=%word/
  if "%word" == "." set SUBDIR=

  set CURRDIR=%_CWD
  cd %INPUTDIR\%word
  echo %_CWD
  dir /B *.in > %TEMP\sources.tmp
  cd %CURRDIR
  set len=%@LINES[%TEMP\sources.tmp]
  do i = 0 to %len by 1
    set line=$(HTMLSOURCEDIR)/%SUBDIR%%@LINE[%TEMP\sources.tmp,%i]
rem    if "%len" == "%i" echo   %line >> sources.unx
rem    if "%len" != "%i" echo   %line\ >> sources.unx
    echo   %line\ >> sources.unx
  enddo
enddo

echo. >> sources.unx
echo OBJECTS=\ >> sources.unx

do j = 1 to %# by 1
  set k=%@EVAL[%j-1]
  set word=%@WORD[" ", %k, %mycmdline]
  set SUBDIR=%word/
  if "%word" == "." set SUBDIR=
  set CURRDIR=%_CWD
  cd %INPUTDIR\%word
  dir /B *.in > %TEMP\sources.tmp
  cd %CURRDIR
  set len=%@LINES[%TEMP\sources.tmp]
  do i = 0 to %len by 1
    set line=%@LINE[%TEMP\sources.tmp,%i]
    echo   $(OUTDIR)/%SUBDIR%%@NAME[%line].htm\ >> sources.unx
rem    if "%len" == "%i" echo   $(OUTDIR)\%@NAME[%line].htm >> sources.unx
rem    if "%len" != "%i" echo   $(OUTDIR)\%@NAME[%line].htm\ >> sources.unx
  enddo
enddo

echo. >> sources.unx

erase %TEMP\sources.tmp

goto end

:end
